ru.bitel.bgbilling.modules.vod.server.bean

## Class PurchaseManager

- java.lang.Object
- - ru.bitel.common.dao.AbstarctDaoConstant
  - - ru.bitel.common.dao.AbstractDao<B>
    - - ru.bitel.common.dao.AbstractIdDao<Purchase>
      - - ru.bitel.bgbilling.modules.vod.server.bean.PurchaseManager

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class PurchaseManager
      extends ru.bitel.common.dao.AbstractIdDao<Purchase>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, mid, moduleId, orderByPattern, tableName`

    - ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `ERROR, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PurchaseManager(java.sql.Connection con, int mid, java.util.Date date)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Purchase` | `getFromRS(java.sql.ResultSet rs)`
    `java.util.List<Purchase>` | `list(int cid)`
    `java.util.List<Purchase>` | `list(int cid, int subscriberId, java.util.Date date1, java.util.Date date2)`
    `protected void` | `processException(java.sql.SQLException e)`
    `java.util.List<Purchase>` | `updateAccount(java.util.List<java.lang.Integer> cids, java.util.Date date, int sid)`
    `protected void` | `updateImpl(Purchase p)`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

      `delete, get, getAndDelete, getAndUpdate`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, recycle, setStatementParam, update`

    - ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `getSQLOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PurchaseManager

          public PurchaseManager(java.sql.Connection con,
                                 int mid,
                                 java.util.Date date)

  - ### Method Detail

    - #### getFromRS

          protected Purchase getFromRS(java.sql.ResultSet rs)
                                throws java.sql.SQLException

      Specified by:
        `getFromRS` in class `ru.bitel.common.dao.AbstractDao<Purchase>`
      Throws:
        `java.sql.SQLException`

    - #### updateImpl

          protected void updateImpl(Purchase p)
                             throws ru.bitel.bgbilling.common.BGException,
                                    java.sql.SQLException

      Specified by:
        `updateImpl` in class `ru.bitel.common.dao.AbstractDao<Purchase>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `java.sql.SQLException`

    - #### list

          public java.util.List<Purchase> list(int cid,
                                               int subscriberId,
                                               java.util.Date date1,
                                               java.util.Date date2)
                                        throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### list

          public java.util.List<Purchase> list(int cid)
                                        throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateAccount

          public java.util.List<Purchase> updateAccount(java.util.List<java.lang.Integer> cids,
                                                        java.util.Date date,
                                                        int sid)
                                                 throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### processException

          protected void processException(java.sql.SQLException e)
                                   throws ru.bitel.bgbilling.common.BGException

      Overrides:
        `processException` in class `ru.bitel.common.dao.AbstractDao<Purchase>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`